#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Test
%define		pnam	Inline
Summary:	Test::inline Perl module - embedded tests
Summary(pl.UTF-8):	Moduł Perla Test::Inline - wbudowane testy
Name:		perl-Test-Inline
Version:	2.214
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9c6471fa326d64f649bb0b9298730c9e
URL:		https://metacpan.org/release/Test-Inline
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Getopt::Long) >= 2.34
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-Algorithm-Dependency >= 1.02
BuildRequires:	perl-Config-Tiny >= 2.00
BuildRequires:	perl-File-Find-Rule >= 0.26
BuildRequires:	perl-File-Flat >= 1.00
BuildRequires:	perl-File-Remove >= 0.38
BuildRequires:	perl-File-chmod >= 0.31
BuildRequires:	perl-Params-Util >= 0.21
BuildRequires:	perl-Path-Tiny
BuildRequires:	perl-Scalar-List-Utils >= 1.19
BuildRequires:	perl-Test-ClassAPI >= 1.02
BuildRequires:	perl-Test-Script >= 1.02
BuildRequires:	perl-Test-Simple >= 0.42
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Inline Perl module provides utility functions to embedded tests.

%description -l pl.UTF-8
Moduł Perla Test::Data udostępnia funkcje pomocnicze do wbudowanych
testów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/inline2test
%{perl_vendorlib}/Test/Inline.pm
%{perl_vendorlib}/Test/Inline
%{_mandir}/man1/inline2test.1p*
%{_mandir}/man3/Test::Inline*.3pm*
%changelog
* Thu May 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Inline.git;a=log;h=master

* Thu May 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 78e1f8e
- updated to 2.214

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> de2a1e9
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> a19f31a
- updated to 2.213

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> fbd173b
- updated to 2.212

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 08cf0c4
- updated to 2.211

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 27fedcd
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> c2d2248
- up to 2.208

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> ee4f23d
- requires perl-File-Remove >= 0.38 or tests will fail
- release 2

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> 5940ab4
- added missing BRs for --with tests, still doesn't work though :(

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f00c87c
- up to 2.207

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fd3a89e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cf8b264
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> af4c983
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 13944aa
- formatting

* Tue Nov 02 2004 ankry <ankry@pld-linux.org> 02b8f04
- fixed attributes

* Tue Nov 02 2004 ankry <ankry@pld-linux.org> fdae3d9
- package also pod2test, rel. 2

* Sat Jun 05 2004 radek <radek@pld-linux.org> ebd368c
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> b3a3a2b
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> f8a10a9
- license fixes, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 6a9101e
- new bconds

